html, body{
    font-family: "Poppins", sans-serif;
    font-style: normal;
    height: 100%;
    margin: 0;
    padding: 0;
}

.header-retama{
    position: relative;
    height: 80vh;
}

p{
    font-family: "Poppins", sans-serif;
    font-weight: 400;
}

a{
    font-family: "Poppins", sans-serif;
}

input{
    font-family: "Poppins", sans-serif;
}

.header-retama::before{
    content: '';
    position: absolute;
    left: -150px;
    top: 0;
    height: 100%;
    width: 100%;
    background-image: url(img/img-header.png);
    background-repeat: no-repeat;
    background-position: left;
    background-size: contain;
    z-index: 1;
}

.header-retama .container{
    position: relative;
    z-index: 2;
    display: flex;
    align-content: center;
    justify-content: flex-end;
    justify-items: center;
    height: 100%;
    flex-wrap: wrap;
}

.itens-header{
    width: 45%;
    display: grid;
    justify-items: start;
}

.itens-header img{
    margin-bottom: 2rem;
    width: 150px;
}

.itens-header h1{
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    color: #FF6B06;
}

.itens-header p{
    color: #FF6B06;
}

.btn-site{
    background-color: #FF6B06;
    font-family: "Poppins", sans-serif;
    font-size: 15px;
    padding: .5rem 2rem;
    border-radius: 10px;
    color: #fff;
    text-decoration: none;
    font-weight: 700;
    margin-bottom: 1rem;
    border: none;
}

.form-section{
    background-color: #FF6B06;
    padding-top: 2rem;
    padding-bottom: 2rem;
}

.form-section h2, .form-section p{
    font-family: "Poppins", sans-serif;
    color: #fff;
    text-align: center;
}

.aviso{
    font-size: 10px;
}

.form-section input{
    background-color: #fff;
    font-size: 12px;
    padding: 10px 20px;;
    border: none;
    width: 32%;
    margin: 5px;
    color: #FF6B06;
    font-family: "Poppins", sans-serif;
}

.form-section select{
    background-color: #fff;
    font-size: 12px;
    padding: 10px 20px;;
    border: none;
    width: 32%;
    margin: 5px;
    color: #FF6B06;
    font-family: "Poppins", sans-serif;
}

.form-section button{
    background-color: #fff;
    font-family: "Poppins", sans-serif;
    font-size: 15px;
    padding: .5rem 2rem;
    border-radius: 10px;
    color: #FF6B06;
    text-decoration: none;
    font-weight: 700;
    margin-top: 1rem;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    border: none;
}

/* Estilo para o modal */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 50% !important; /* Could be more or less, depending on screen size */
    font-family: "Poppins", sans-serif;
}

.modal-content #chat-form{
    padding: 1rem;
}

.modal-header{
    justify-content: space-between;
}

.chat-container {
    background-color: #f9f9f9;
    border-radius: 15px;
    padding: 15px;
    margin-bottom: 10px;
    max-height: 300px;
    overflow-y: auto;
}

.chat-message {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
}

.chat-question {
    justify-content: flex-start;
    text-align: left;
    margin-bottom: 10px;
    width: 50%;
    background-color: #ebebeb;
    border-radius: 18px;
    padding: 10px 15px;
}

.chat-answer {
    justify-content: flex-end;
    margin-left: auto;
    display: flex;
    text-align: right;
    margin-bottom: 10px;
    width: 50%;
    background-color: #FF6B06;
    color: white;
    border-radius: 18px;
    padding: 10px 15px;
}

/* Estilização da caixa de entrada e do botão de envio */
.input-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #fff;
    border: 2px solid #FF6B06;
    border-radius: 25px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    overflow: hidden;
}

.input-container button{
    background-color: #FF6B06;
}

#chat-input {
    flex-grow: 1;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 25px 0 0 25px;
    outline: none;
}

#chat-next {
    background: #FF6B06;
    border: none;
    padding: 10px 15px;
    border-radius: 0 25px 25px 0;
    cursor: pointer;
    outline: none;
}

#chat-next:after {
    content: '';
    display: block;
    width: 24px;
    height: 24px;
    background-image: url('img/angulo-duplo-pequeno-direito.svg'); /* Adicione o caminho para o seu ícone de seta */
    background-size: cover;
}

/* The Close Button */
.close {
    color: #FF6B06;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Sobre Retama */

.sobre-retama{
    background: rgb(255,107,6);
    background: -moz-linear-gradient(180deg, rgba(255,107,6,1) 0%, rgba(255,107,6,0) 100%);
    background: -webkit-linear-gradient(180deg, rgba(255,107,6,1) 0%, rgba(255,107,6,0) 100%);
    background: linear-gradient(180deg, rgba(255,107,6,1) 0%, rgba(255,107,6,0) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ff6b06",endColorstr="#ff6b06",GradientType=1);
    position: relative;
    padding-top: 2rem;
}

.text-sobre{
    background-color: #fff;
    border-radius: 15px;
    padding: 2rem;
    position: relative;
    display: flex;
    align-items: center;
}

.text-sobre::before{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-image: url('img/curvas.png');
    background-repeat: no-repeat;
    background-position: right;
    background-size: cover;
    z-index: 1;
}

.text-sobre .row{
    position: relative;
    z-index: 2;
}

.text-sobre .row .col-md-6{
    align-self: center;
}

.args-retama .col-6{
    display: flex;
    align-content: center;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-top: 1rem;
    align-items: center;
}

.args-retama .arg-tx h6{
    font-size: 1rem;
    font-weight: 800;
    color: #FF6B06;
    font-family: "Poppins", sans-serif;
    margin-bottom: 0;
}

.args-retama .arg-tx p{
    font-size: 12px;
    color: #FF6B06;
    font-family: "Poppins", sans-serif;
}

.div-15-anos{
    height: 70vh;
    margin-top: 1rem;
    margin-bottom: 1rem;
    position: relative;
}

.div-15-anos .container{
    height: 100%;
}

.div-15-anos .row{
    height: 100%;
}

.img-15-anos{
    background-image: url('img/15.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    z-index: 1;
    position: relative;
}

.div-15-anos .row .col-md-5{
    align-self: center;
}

.div-15-anos .row .col-md-5 h3{
    font-family: "Poppins", sans-serif;
    margin-bottom: 1rem;
}

/* Estiliza as imagens */
@keyframes slideUpFadeIn {
    0% {
        transform: translateY(30px); /* Move a imagem para baixo */
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

.image {
    animation-fill-mode: forwards; /* Garante que a animação permaneça no estado final */
    animation-duration: 1.5s; /* Duração da animação */
    animation-timing-function: ease-out; /* Suaviza a animação */
    opacity: 0;
}

.slogan-retama {
    position: relative;
    overflow: hidden;
    height: 450px; /* Ajuste conforme a altura desejada */
    margin-top: 3rem;
}

.slogan-retama::before{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-image: url('img/curvas.png');
    background-repeat: no-repeat;
    background-position: right;
    background-size: cover;
    z-index: 2;
}

.parallax-slogan {
    width: 100%;
    height: 450px;
    background-image: url('img/businesswomen-shaking-hands-work.jpg');
    background-size: cover;
    background-position: top;
    background-attachment: fixed;
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.forma-logo{
    position: absolute;
    z-index: 2;
    background-image: url('img/logo-contorno.png');
    width: 100%;
    height: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    display: flex;
    align-content: center;
    justify-content: center;
    flex-wrap: wrap;
}

.forma-logo h3{
    color: #FF6B06;
    font-family: "Poppins", sans-serif;
    text-align: center;
    font-weight: 400;
    font-size: 2rem;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.forma-logo {
    opacity: 0;  /* Certifique-se de que isso é inicialmente zero */
    visibility: hidden; /* Começa escondido */
    animation-name: fadeIn;
    animation-duration: 1.5s;
    animation-fill-mode: forwards;
    animation-timing-function: ease-in-out;
    animation-delay: 0.3s; /* Ajuste conforme necessário */
}


.forma-logo.animated {
    visibility: visible; /* Torna visível quando a classe animated é adicionada */
    animation-name: fadeIn;
}

footer{
    background-color: #333333;
    position: relative;
    font-family: "Poppins", sans-serif;
    padding: 0; 
    margin: 0;  
    width: 100%;
}

footer .container{
    padding-top: 2rem;
    padding-bottom: 2rem;
}

footer .container h3{
    color: #FF6B06;
    margin-bottom: 2rem;
}

footer .container .col-md-4{
    background-color: #FF6B06;
    padding: 3rem 2rem;
    display: flex;
    flex-direction: column;
    border-radius: 10px;
    align-items: center;
    justify-content: center;
    color: #fff;
}

footer .container .col-md-4 h6{
    font-size: 1rem;
    font-weight: 700;
    margin-top: 2rem;
    margin-bottom: 1rem;
}

footer .container .col-md-4 p{
    margin-bottom: 1rem;
    font-size: 13px;
    text-align: center;
}

footer .container .col-md-4 .links-footer{
    margin-bottom: 1rem;
    display: flex;
    flex-direction: column;
    text-align: center;
}

footer .container .col-md-4 .links-footer a{
    color: #fff;
    text-decoration: none;
}

footer .container .col-md-4 .btn-site{
    background-color: #333;
}

@media only screen and (max-width: 481px) {
    .itens-header {
        width: 100%;
    }

    .itens-header img{
        width: 50%;
    }

    .header-retama::before{
        display: none;
    }

    .form-section input{
        width: 100%;
    }

    .form-section {
        padding-top: 1rem;
        padding-bottom: 1rem;
    }

    .sobre-retama{
        margin-top: -1px;
    }

    .text-sobre{
        padding: 1rem;
    }

    .div-15-anos {
        height: 100%;
        margin-top: 3rem;
    }

    .slogan-retama{
        height: 50%;
    }

    .slogan-retama::before{
        background-position: center;
    }

    .forma-logo{
        height: 101%;
    }

    footer .container .col-md-4{
        margin-bottom: 1rem;
        width: 90%;
    }

    .image {
        /* Exemplos de ajustes para dispositivos móveis */
        position: absolute;
    }
    .image:nth-child(1) { top: 40px !important; left: 5px !important; }
    .image:nth-child(2) { top: 180px !important; left: 200px !important; }
    .image:nth-child(3) { top: 290px !important; left: 25px !important; }
    .image:nth-child(4) { display: none; }
    .image:nth-child(5) { bottom: 240px !important; right: 0px !important; }
    .image:nth-child(6) { top: 0 !important; left: 300px !important; }

    .modal-content{
        width: 95% !important;
        padding: 10px;
    }

    .chat-question, .chat-answer{
        width: 60%;
    }

    .form-section input{
        margin-bottom: 5px;
        margin-left: 0px;
        margin-right: 0px;
    }

}

.financiamento-calc{
    padding-top: 3rem;
    padding-bottom: 3rem;
    font-family: "Poppins", sans-serif;
    background-color: #ebebeb;
}

.financiamento-calc .container{
    padding: 0rem 4rem;
    border-radius: 15px;
    background-color: #fff;
}

.financiamento-calc .header-calc{
    background-color: #FF6B06;
    color: #fff;
    text-align: center;
    padding: 0.5rem;
    margin-bottom: 2rem;
    border-radius: 0px 0px 15px 15px;
}

#formEtapa1{
    display: grid;
    gap: 4rem 1rem;
    grid-template-columns: repeat(3, 1fr);
}

#formEtapa2{
    display: grid;
    gap: 4rem 1rem;
    grid-template-columns: repeat(2, 1fr);
}

.financiamento-calc  .form-group{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
}

.financiamento-calc .form-group label{
    margin-bottom: 1rem;
    font-weight: 700;
    color: #FF6B06;
}

.financiamento-calc .form-group input{
    background-color: #fff;
    width: 100%;
    font-size: 1rem;
    padding: 10px 20px;;
    border: #FF6B06 0.5px solid;
    margin: 5px;
    color: #FF6B06;
    font-family: "Poppins", sans-serif;
}

.financiamento-calc .form-group select{
    background-color: #fff;
    border: #FF6B06 0.5px solid;
    width: 100%;
    font-size: 1rem;
    padding: 10px 20px;;
    margin: 5px;
    color: #FF6B06;
    font-family: "Poppins", sans-serif;
}

.financiamento-calc .form-group select option{
    padding: 0.75rem 1.25rem;
    transition: all 0.3s ease-in-out;
    padding: 10px 20px;;
}

.financiamento-calc .navigation{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2.5rem 0rem;
}

.financiamento-calc .navigation button{
    font-family: "Poppins", sans-serif;
    font-size: 15px;
    padding: .5rem 2rem;
    border-radius: 10px;
    color: #FF6B06;
    text-decoration: none;
    font-weight: 700;
    border: none;
}

.steps button.disabled, .steps button:disabled {
    background-color: #cccccc;
    cursor: not-allowed;
}


.input-group {
    display: flex !important;
    align-items: center !important;
    justify-content: space-around;
}

.input-group button {
    background-color: transparent;
    color: #FF6B06;
    border: 1px solid;
    border-radius: 30px;
    border-top-right-radius: 30px !important;
    border-bottom-right-radius: 30px !important;
    border-top-left-radius: 30px !important;
    border-bottom-left-radius: 30px !important;
    height: 50px;
    width: 50px;
    font-size: 30px;
    font-weight: 400;
    cursor: pointer;
    outline: none;
}

.input-group input {
    text-align: center;
    border: none !important;
    font-size: 1rem;
    margin: 0 10px;
    width: 120px !important; /* Ajuste a largura conforme necessário */
    font-weight: bold;
}

.calc-input-group{
    border: 1px solid #FF6B06;
    padding: 2rem 1rem;
}

#etapa3{
    padding-bottom: 2rem;
}

#etapa3 .col-md-4{
    display: flex;
    align-items: center;
    flex-direction: column;
}

#etapa3 .col-md-4 .btn-site{
    padding: 1rem;
    color: #fff;
    margin-bottom: 2rem;
    transition: 0.3s ease-in-out;
    border: 1px solid #FF6B06;
}

#etapa3 .col-md-4 .btn-site:hover{
    background-color: #fff;
    color: #FF6B06;
    border: 1px solid #FF6B06;
}

#etapa3 .col-md-4 h6{
    font-weight: 800;
    font-size: 1rem;
    text-align: center;
}

#etapa3 .col-md-4 p{
    font-size: 12px;
    margin-bottom: 1rem;
    text-align: center;
}

#etapa3 .col-md-4 a{
    padding: 1rem;
    color: #FF6B06;
    border: 1px solid #FF6B06;
    text-decoration: none;
    border-radius: 10px;
    transition: 0.3s ease-in-out;
}

#etapa3 .col-md-4 a img{
    width: 1rem;
    margin-right: 10px;
}

#etapa3 .col-md-4 a:hover{
    background-color: #333;
}

#etapa3 .recalc{
    padding: 1rem;
    color: #FF6B06;
    border: 1px solid #FF6B06;
    text-decoration: none;
    border-radius: 10px;
    transition: 0.3s ease-in-out;
    background-color: #fff;
}

#etapa3 .recalc:hover{
    background-color: #333;
}

#etapa3 #panelRecalcular{
    margin-top: 1rem;
    flex-direction: column;
}

#etapa3 #panelRecalcular input{
    background-color: #fff;
    width: 32.9%;
    font-size: 1rem;
    padding: 10px 20px;
    border-radius: 10px;
    border: #FF6B06 0.5px solid;
    color: #FF6B06;
    font-family: "Poppins", sans-serif;
}

#etapa3 #panelRecalcular button{
    padding: 10px 20px;
    color: #fff;
    border: 1px solid #FF6B06;
    text-decoration: none;
    border-radius: 10px;
    transition: 0.3s ease-in-out;
    background-color: #FF6B06;
    margin-top: 5px;
    margin-left: auto;
    margin-right: auto;
}

#resultadoSimulacao div{
    border: 1px solid #cccccc;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    text-align: center;
    border-radius: 10px;
}

#resultadoSimulacao div p{
    margin-bottom: 0px;
}


@media only screen and (max-width: 481px){
    .financiamento-calc .container{
        padding: 0rem 1rem;
    }

    #formEtapa1 {
        gap: 1rem 1rem;
        grid-template-columns: repeat(1, 1fr);
    }

    #formEtapa2 {
        gap: 1rem 1rem;
        grid-template-columns: repeat(1, 1fr);
    }
        .navigation{
        justify-content: space-around;
    }
    .navigation span{
        display: none;
    }

    .financiamento-calc .navigation button{
        padding: .5rem .5rem;
    }

    #etapa3 .recalc{
        margin-top: 1rem;
    }
}


